Page MenuHomePhabricator

SpecialORESModels.php: PHP Notice: Undefined index: likelygood, likelybad, verylikelybad
Closed, ResolvedPublic

Description

Error

Request ID: W6d2DwrAIEwAADmskz8AAAAG

message
[{exception_id}] {exception_url} ErrorException from line 80 of /srv/mediawiki/php-1.32.0-wmf.22/extensions/ORES/includes/SpecialORESModels.php:

PHP Notice: Undefined index: likelygood
message
[{exception_id}] {exception_url}   ErrorException from line 80 of /srv/mediawiki/php-1.32.0-wmf.22/extensions/ORES/includes/SpecialORESModels.php:

PHP Notice: Undefined index: verylikelybad
stacktrace
#0 /srv/mediawiki/php-1.32.0-wmf.22/extensions/ORES/includes/SpecialORESModels.php(80): MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 /srv/mediawiki/php-1.32.0-wmf.22/extensions/ORES/includes/SpecialORESModels.php(28): ORES\SpecialORESModels->getFilterData(string)
#2 /srv/mediawiki/php-1.32.0-wmf.22/includes/specialpage/SpecialPage.php(569): ORES\SpecialORESModels->execute(NULL)
#3 /srv/mediawiki/php-1.32.0-wmf.22/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(NULL)
#4 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#5 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(868): MediaWiki->performRequest()
#6 /srv/mediawiki/php-1.32.0-wmf.22/includes/MediaWiki.php(525): MediaWiki->main()
#7 /srv/mediawiki/php-1.32.0-wmf.22/index.php(42): MediaWiki->run()

Notes

Seen on multiple wikis. Started on 2018-09-21 (1.32.0-wmf.22).

Event Timeline

Krinkle created this task.Sep 23 2018, 6:13 PM
Restricted Application added a project: Scoring-platform-team. · View Herald TranscriptSep 23 2018, 6:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 462554 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/ORES@master] SpecialORESModels: Fix notices when ORES thresholds are broken

https://gerrit.wikimedia.org/r/462554

Change 462554 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] SpecialORESModels: Fix notices when ORES thresholds are broken

https://gerrit.wikimedia.org/r/462554

Change 463098 had a related patch set uploaded (by Krinkle; owner: Catrope):
[mediawiki/extensions/ORES@wmf/1.32.0-wmf.23] SpecialORESModels: Fix notices when ORES thresholds are broken

https://gerrit.wikimedia.org/r/463098

Change 463098 merged by jenkins-bot:
[mediawiki/extensions/ORES@wmf/1.32.0-wmf.23] SpecialORESModels: Fix notices when ORES thresholds are broken

https://gerrit.wikimedia.org/r/463098

Mentioned in SAL (#wikimedia-operations) [2018-09-26T16:47:27Z] <jforrester@deploy1001> Synchronized php-1.32.0-wmf.23/extensions/ORES/includes/SpecialORESModels.php: SWAT T205228 fix Iddb9c1f9e (duration: 00m 56s)

Krinkle closed this task as Resolved.Sep 26 2018, 5:15 PM
Krinkle assigned this task to Catrope.
Krinkle triaged this task as High priority.
Krinkle removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:08 PM